Issue 103281 - Excel export: BIFF export writes all built-in styles from XL2007
Summary: Excel export: BIFF export writes all built-in styles from XL2007
Status: CLOSED FIXED
Alias: None
Product: Calc
Classification: Application
Component: save-export (show other issues)
Version: OOo 3.1
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: oc
QA Contact: issues@sc
URL:
Keywords:
Depends on:
Blocks: 101565
  Show dependency tree
 
Reported: 2009-07-02 16:15 UTC by daniel.rentz
Modified: 2013-08-07 15:15 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description daniel.rentz 2009-07-02 16:15:53 UTC
When pasting from XL 2007, all built-in cell styles are created. On export to
BIFF, unused styles should be omitted.
Comment 1 daniel.rentz 2009-07-02 16:16:14 UTC
target/started
Comment 2 Joost Andrae 2009-07-02 16:33:06 UTC
ja->dr: Is there a chance to get a fix of this nasty style duplicating issue
integrated into 3.1.1 ?
Comment 3 daniel.rentz 2009-07-02 16:42:43 UTC
fix should be easy enough for 3.1.1
Comment 4 daniel.rentz 2009-07-07 16:11:54 UTC
fixed in CWS OOO310/dr68ooo311

On pasting from clipboard, only the used cell styles are created in the Calc
document. On reepeated pasting, existing cell styles keep unmodified (equal
behaviour as pasting Calc->Calc).
Comment 5 daniel.rentz 2009-07-08 12:06:05 UTC
back to QA
Comment 6 daniel.rentz 2009-07-14 08:46:26 UTC
cloned issue 103390 for DEV300 code line.
Comment 7 oc 2009-07-14 15:08:41 UTC
verified in internal build cws_dr68ooo311
Comment 8 thorsten.ziehm 2010-06-07 11:49:14 UTC
This issue is closed automatically. It is in state 'verified/fixed' since 2
releases (OOo 3.1.1 and OOo 3.2). The policy [1] indicates that such older
issues should be closed.

If this issue still occur in a current build (OOo 3.2.1 or >DEV300m80) please
reopen the issue and set the target accordingly.

[1] : http://wiki.services.openoffice.org/wiki/Handle_fixed_verified_issues